﻿
namespace Builder.Ejm1
{
    /// <summary>
    /// Director. El Director controla la creación paso a paso, solo cuando el Builder
    /// ha terminado de construir el objeto lo recupera el Director.
    /// </summary>
    public class Cocina
    {
        private PizzaBuilder pizzaBuilder;

        public void setPizzaBuilder(PizzaBuilder pb)
        {
            pizzaBuilder = pb;
        }

        public Pizza getPizza()
        {
            return pizzaBuilder.GetPizza();
        }

        public void construirPizza()
        {
            pizzaBuilder.CrearNuevaPizza();
            pizzaBuilder.BuildMasa();
            pizzaBuilder.BuildSalsa();
            pizzaBuilder.BuildRelleno();
        }
    }
}
