﻿using System.Collections;
using System.Xml;
using System;
namespace Builder.Ejm2
{
    /// <summary>
    /// Director. El Director controla la creación paso a paso, solo cuando el Builder
    /// ha terminado de construir el objeto lo recupera el Director.
    /// </summary>
    public class OrderDirector
    {
        private OrderBuilder orderBuilder;

        public void setOrderBuilder(OrderBuilder ob)
        {
            orderBuilder = ob;
        }

        public Order getOrder()
        {
            return orderBuilder.GetOrder();
        }

        public void Build(string path)
        {
            ArrayList items = new ArrayList();
            items.Add(new Item(1, 10));
            items.Add(new Item(2, 100));
            items.Add(new Item(3, 120));
            parse(path);

            orderBuilder.IsValidOrder();
            orderBuilder.AddItems(items);
            orderBuilder.CalShipping();
            orderBuilder.CalcTax();
        }
        private ArrayList parse(string path)
        {
            XmlTextReader reader = new XmlTextReader(path);
            
            while (reader.Read())
            {
                switch (reader.NodeType)
                {
                    case XmlNodeType.Element: // The node is an element.
                        if (reader.Name.Equals("ID"))
                        {
                            reader.Read();
                            Console.WriteLine(reader.Value);
                        }
                        break;
                    case XmlNodeType.Text: //Display the text in each element.
                        //Response.Write(reader.Value + "<br />");
                        break;
                    case XmlNodeType.EndElement: //Display the end of the element.
                        //sResponse.Write("</" + reader.Name + ">");
                        break;
                }
            }
            return null;
        }
    }
}
